Bug 364891 - Review Request: icecream - distributed compiler
Review Request: icecream - distributed compiler
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 20:14 EDT by Michal Schmidt
Modified: 2009-02-18 15:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-09 05:01:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2007-11-02 20:14:20 EDT
Spec URL: http://disk.jabbim.cz/michich%40jabber.cz/icecream.spec
SRPM URL: http://disk.jabbim.cz/michich%40jabber.cz/icecream-0.8.0-1.20071101svn.fc8.src.rpm
Description:
Icecream is a distributed compile system. It allows parallel compiling by distributing the compile jobs to several nodes of a compile network running the icecc daemon. The icecc scheduler routes the jobs and provides status and statistics information to the icecc monitor. Each compile node can accept one or more compile jobs depending on the number of processors and the settings of the daemon. Link jobs and other jobs which cannot be distributed are executed locally on the node where the compilation is started.

Note: This is my first package and I'm seeking a sponsor.
Comment 1 Michal Schmidt 2007-11-02 20:17:17 EDT
The package builds in mock.

$ ls *.rpm
icecream-debuginfo-0.8.0-1.20071101svn.fc8.x86_64.rpm
icecream-devel-0.8.0-1.20071101svn.fc8.x86_64.rpm
icecream-0.8.0-1.20071101svn.fc8.src.rpm
icecream-0.8.0-1.20071101svn.fc8.x86_64.rpm

$ rpmlint *.rpm
icecream-devel.x86_64: W: no-documentation
Comment 2 Michal Schmidt 2007-11-02 20:21:26 EDT
I am using fedora-usermgmt to create a user. The preinstall script uses uid 44 
for the 'icecream' user with reference to 
https://fedoraproject.org/wiki/PackageUserRegistry . However I have not yet 
added the user to the wiki page. I'll do that as soon as I am added to the 
EditGroup for the wiki.
Comment 3 Michal Schmidt 2007-11-06 02:21:31 EST
The user 'icecream' has been added to
https://fedoraproject.org/wiki/PackageUserRegistry .
Comment 4 Marcela Mašláňová 2007-11-06 03:01:55 EST
/usr/share/apps/ksgmltools2/customization/kde-man.xsl if it's possible than use
macro %_datadir

rpmlint found no problems.

Did you use development version? In most cases is stable version used, but it's
possible to use devel...
Comment 5 Michal Schmidt 2007-11-06 05:22:39 EST
OK, I replaced /usr/share with %{_datadir}. Updated version:

Spec: http://disk.jabbim.cz/michich@jabber.cz/icecream.spec
SRPM:
http://disk.jabbim.cz/michich@jabber.cz/icecream-0.8.0-2.20071101svn.fc8.src.rpm

I use the soon-to-be-released F8. At the moment Rawhide == F8.
Comment 6 Marcela Mašláňová 2007-11-06 05:41:26 EST
Ok, I don't have another comments.
Comment 7 Michal Schmidt 2007-11-07 17:12:41 EST
New Package CVS Request
=======================
Package Name: icecream
Short Description: distributed compiler
Owners: michich
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-11-08 14:14:10 EST
cvs done.
Comment 9 Michal Schmidt 2007-11-09 05:01:00 EST
I imported the package to CVS. Koji built it successfully in devel and F-8.
Closing the bug as NEXTRELEASE. Thank you all.
Comment 10 Michal Schmidt 2009-02-17 18:31:28 EST
Package Change Request
======================
Package Name: icecream
New Branches: EL-5
Owners: michich
Comment 11 Kevin Fenzi 2009-02-18 15:23:14 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.